# Add matproperties from the BI generator in the same sequence as in table 5 followed by table 6
# set order. (use odd integers, recommended values 5 or 11)

# After this script is run a txt file named as umat_params.txt is generated with corresponding 50 mat parameters that can be used in umat.




# Input section
bi_params = [1366.7, 0.278, 7.36, 9.12,
              0.33, 27.23, 18.55, 1.62, 21.66, 9.91, 1722.24, 6.13,
                28281.49, 0.30, 747.17, 467.82, 0.51, 7874.44, 39.13, 2422.40,
                 1.33e5, 0.18, 3.63, 0.18,
                   30.04, 7.85e-3, 14.41, 296.38,
                     0.80, 146.34, 5.24e-4, 9955.79]


order = 11

# =================================================================================================================== #

umat_params = []

umat_params.append(order)

K_inf = bi_params[0] / (3 * (1 - 2 * bi_params[1]))
umat_params.append(K_inf)

G_inf = bi_params[0] / (2 * (1 + bi_params[1]))
umat_params.append(G_inf)

#alpha
umat_params.append(bi_params[22])

nu_p = (9 - 2 * bi_params[23]) / (18 + 2 * bi_params[23])
umat_params.append(nu_p)

# eta
umat_params.append(bi_params[20])

# p 
umat_params.append(bi_params[21])

# sigma_c0
umat_params.append(bi_params[24])

# c_0
umat_params.append(bi_params[25])

# H_c0
umat_params.append(bi_params[26])

# hc 
umat_params.append(bi_params[27])

sigma_t0 = bi_params[28] * bi_params[24]
umat_params.append(sigma_t0)

# t_0
umat_params.append(bi_params[29])

# H_t0
umat_params.append(bi_params[30])

# ht 
umat_params.append(bi_params[31])

# hb0 ... hb2
umat_params.append(0.0)
umat_params.append(0.0)
umat_params.append(0.0)

# K1 ... K8
for i in range(8):
    umat_params.append(bi_params[12 + i])

# k1 ... k8
for i in range(1, 9):
    umat_params.append(bi_params[3] * 10**(-i+1))

# G1 ... G8
for i in range(8):
    umat_params.append(bi_params[4 + i])

# g1 ... g8
for i in range(1, 9):
    umat_params.append(bi_params[2] * 10**(-i+1))

f = open("umat_params.txt", "w")

for i in range(len(umat_params) - 1):
    f.write("{}, ".format(umat_params[i]))
f.write("{}".format(umat_params[-1]))
f.close()






